GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

          • Get User List
          • Get User Information
          • Batch Get User Information
          • Create User
          • Batch Create Users
          • Update User Profile
          • Batch Update User Profile
          • Delete Users
          • Get User External Identity Sources
          • Get User Role List
          • Get User Real-name Authentication Info
          • Delete User Real-name Authentication Info
          • Get User Department List
          • Set User Departments
          • Get User Group List
          • Get User MFA Binding Info
          • Get Archived User List
          • Force Logout Users
          • Check if User Exists
          • Get User Accessible Apps
          • Get User Authorized Apps
          • Check if User Has Role
          • Get User Login History
          • Get User Previously Logged In Apps
          • Get User Previously Logged In Identity Sources
          • User Resignation
          • Batch User Resignation
          • Get User Authorized Resources
          • Check User Session Status in Application
          • Import User OTP
        • Organization Management

        • Role Management

        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. User Management

  10. /
  11. Get Archived User List

¶ Get the archived user list

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get the archived user list, support paging, can filter start time, etc.

¶ Method name

ManagementClient.list_archived_users

¶ Request parameters

NameType
Required
Default value
Description
Sample value
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number of pages per page, maximum cannot exceed 50, default is 1010
startAtnumberNo-Start time, UNIX timestamp accurate to seconds, unspecified by default1655714763890

¶ Request Response

Type: ListArchivedUsersSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataArchivedUsersListPagingDtoData

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "userId": "userId",
      "archivedAt": "2022-07-03T03:20:30.000Z"
    }
  }
}

¶ Data Structure

¶ ArchivedUsersListPagingDto

NameType
Required
Description
Sample value
totalCountnumberYesTotal number of records
listarrayYesResponse data Nested type: ListArchivedUsersRespDto.

¶ ListArchivedUsersRespDto

NameType
Required
Description
Sample value
userIdstringyesUser IDuserId
archivedAtstringyesArchived at2022-07-03T03:20:30.000Z
Previous article: Get User MFA Binding Info Next article: Force Logout Users
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.